Viewing 15 replies - 1 through 15 (of 17 total)
  • Plugin Author swicks

    (@swicks)

    Hi,
    WC_Payment_Gateway is a WooCommerce class that 3rd party payment gateways extend. Check that WooCommerce is activated.

    I would recommend you upgrade to Version 2 on WooCommerce or if that is not possible try using an earlier version of this plugin 0.1.5 or 0.1.4 which would have worked with your version 1.3.2.1.

    regards

    Steve

    monzu02

    (@monzu02)

    Thank you for your reply but is it safe?

    perkinwarbeck2013

    (@perkinwarbeck2013)

    I, too, would like to know if it is safe.

    Plugin Author swicks

    (@swicks)

    is what safe?

    monzu02

    (@monzu02)

    @swicks will you please let us know its safe to use or not? Thank you

    Plugin Author swicks

    (@swicks)

    @monzu02 what is safe ? Please explain yourself, little more explanation please? Thank you.

    monzu02

    (@monzu02)

    @swicks as i have to use use older copy of this plugin so is there any security issue? and its safe to use in the website. is there any risk for hack or any problem?

    Thank you
    M

    Plugin Author swicks

    (@swicks)

    In all release updates of this plugin there has been no security patches, they have been feature enhancements and modifications to the procedure calls to WooCommerce as it evolves.

    I’m not aware of any security issues with any of the releases.

    best regards

    Steve

    monzu02

    (@monzu02)

    Thank you for your reply

    i had tried 0.1.4 (svn) but getting this error

    please check below 🙁

    atal error: Class ‘WC_Payment_Gateway’ not found in /home/xxx/public_html/wp-content/plugins/sagepay-direct-for-woocommerce-payment-gateway/ds-sagepay-direct.php on line 97

    Thank you
    M

    monzu02

    (@monzu02)

    now .0.1.1 make this error

    please advice.

    Fatal error: Class ‘WC_Payment_Gateway’ not found in /home/xxxx/public_html/wp-content/plugins/sagepay-direct-for-woocommerce-payment-gateway/class-wc-sagepaydirect.php on line 39

    Plugin Author swicks

    (@swicks)

    Hi
    I just looked through the previous versions of woocommerce on Github to try to reproduce this issue. It turns out that version 1.4 and above only support WC_Payment_Gateway class it was renamed from woocommerce_payment_gateway on your version.

    Apologies it will not work with your version of Woocommerce.

    Regards

    Steve

    Hi there I am having the same problem with this showing.

    Fatal error: Class ‘WC_Payment_Gateway’ not found in /home/content/16/10589616/html/wp-content/plugins/nochex-woocommerce-gateway/wc-nochex.php on line 13

    I’m new to wordpress and all that I did was upgrade the plugins…
    And now i cannot visit the site or even get on the wp-admin login page to change it back.

    I also can’t connect through FTP (critical error) but even if I did I would not know what to do next.

    Kindest Regards

    Peter

    Hi there I am having the same problem with this showing.

    Fatal error: Class ‘WC_Payment_Gateway’ not found in /home/content/16/10589616/html/wp-content/plugins/nochex-woocommerce-gateway/wc-nochex.php on line 13

    I’m new to wordpress and all that I did was upgrade the plugins…
    And now i cannot visit the site or even get on the wp-admin login page to change it back.

    I also can’t connect through FTP (critical error) but even if I did I would not know what to do next.

    (www.ellie-apparel.com)

    Kindest Regards

    Peter

    Plugin Author swicks

    (@swicks)

    You need to use WooCommerce version 1.4 or later.

    Your error doesn’t relate to this payment gateway.

    Best regards

    Steve

    WOW it takes 4 months for resolved!!!

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘Fatal error’ is closed to new replies.